%global momorel 2

# We need policy first.
%global selinux 0

# Useful for debugging
%global noisy 1

# Really, we want this on, but for testing...
%global sharedbuild 1

%global sharedffmpeg 0

## Maybe, someday, I'll be able to flip these on. ##

Name:		chromium
Version:	71.0.3578.5
Release:	%{momorel}m%{?dist}
Summary:	A WebKit powered web browser
# Licensing Overview
# 
# ffmpeg headers are LGPLv2+
# libjingle is BSD

# TODO: Proper list of licenses
License:	BSD and LGPLv2+
Group:		Applications/Internet

## GN related Patches
# PATCH-FIX-UPSTREAM fix-gn-bootstrap.diff - Fix the bootstrap to generate GN

# https://gsdview.appspot.com/chromium-browser-official/
# https://gsdview.appspot.com/chromium-browser-official/?marker=chromium-71.0.3577.0.tar.xz.hashe%40
Source0:	http://gsdview.appspot.com/chromium-browser-official/chromium-%{version}.tar.xz
NoSource: 0
# Custom build tools for chromium, hammer is a fancy front-end for scons
Source1:	http://src.chromium.org/svn/trunk/tools/depot_tools.tar.xz
Source2:	chromium-browser.sh
Source3:	chromium-browser.desktop
# We don't actually use this in the build, but it is included so you can make the tarball.
Source4:	chromium-daily-tarball.sh
Source5:	chromium-browser.xml
# Set default prefs
Source6:	master_preferences
# Also, only used if you want to reproduce the clean tarball.
Source7:	chromium-latest.py

# Nicer icon generated via inkscape from chromium.ai
# http://src.chromium.org/viewvc/chrome/trunk/src/chrome/app/theme/chromium/chromium.ai?view=log&pathrev=81848
Source9:        chromium-12-256x256.svg

Patch0:         chromium-71.0.3578.5-buildfix.patch
Patch1:         chromium-70.0.3535.2-uint8.patch
Patch2:         chromium-pdfium-stdlib-r0.patch
Patch3:         chromium-71.0.3578.5-i686-reduce-memory.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	bzip2-devel, libevent-devel, libjpeg-devel, libpng-devel
#BuildRequires:	bzip2-devel, libevent-devel >= 2.0.10, libjpeg-devel, libpng-devel
BuildRequires:	libxslt-devel, nss-devel, nspr-devel, minizip-devel
BuildRequires:	gcc-c++, bison, flex, gtk2-devel, atk-devel
BuildRequires:	fontconfig-devel, GConf2-devel, dbus-devel, alsa-lib-devel
BuildRequires:	desktop-file-utils, gperf, libselinux-devel
BuildRequires:	nss-devel >= 3.12.3, expat-devel
BuildRequires:	dbus-glib-devel, libXScrnSaver-devel
BuildRequires:	cups-devel
BuildRequires:	ninja-build
BuildRequires:	nodejs >= 7.7.1

BuildRequires:  libicu-devel >= 4.6
BuildRequires:  ffmpeg-devel >= 0.6.1-0.20110514
BuildRequires:  libvpx-devel >= 1.0.0
%if 0%{?system_libsrtp}
BuildRequires:  libsrtp-devel
%endif
BuildRequires:  perl >= 5.14.0
BuildRequires:  glibc-devel >= 2.14

# NaCl needs these
BuildRequires:  libstdc++-devel, openssl-devel

BuildRequires:	sqlite-devel

# On x86_64, it also needs these:
# %ifarch x86_64
# BuildRequires:	glibc-devel(x86-32), libgcc(x86-32)
# %endif

%if 0%{?selinux}
BuildRequires:	libselinux-devel
%endif

ExclusiveArch:	%{ix86} arm x86_64

# GTK modules it expects to find for some reason.
Requires:	libcanberra

# We pick up an automatic requires on the library, but we need the version check
# because the nss shared library is unversioned.
# This is to prevent someone from hitting http://code.google.com/p/chromium/issues/detail?id=26448
Requires:	nss%{_isa} >= 3.12.3
Requires:	nss-mdns%{_isa}

# We want to make sure we have the chromium-libs
Requires:	chromium-libs = %{version}-%{release}

%description
Chromium is an open-source web browser, powered by WebKit.

%package libs
Summary:	Shared libraries for chromium
Group:		System Environment/Libraries

%description libs
This package contains the shared libraries that chromium depends on. Some of 
these libraries are unique to chromium, others are forked versions of system 
libraries.

%prep
echo "####### BUILD OPTIONS #######"
echo "Using system NSS: %{nss}"
echo "Built-in SELinux support: %{selinux}"
echo "Verbose Build: %{noisy}"
%setup -q -n chromium-%{version} -a 1

%patch0 -p1 -b .cpp_err
#%%patch1 -p1 -b .uint8
#%%patch2 -p1 -b .pdfuim_uint8

%ifarch %{ix86}
%patch3 -p1 -b .reduce_memory
%endif

cp %{SOURCE4} .

if [ ! -f chrome/test/data/webui/i18n_process_css_test.html ]; then 
   touch chrome/test/data/webui/i18n_process_css_test.html
fi

# icu.pc to icu-i18n,pc
#sed -i 's|icu)|icu-i18n)|g' build/linux/system.gyp

# for new build system
ln -s %{_bindir}/ninja-build ninja

%build
#sed -i "s|'-O<(release_optimize)'|$PARSED_OPT_FLAGS|g" build/common.gypi

# Also, set the sandbox paths correctly.
# We set use_system_ffmpeg so chromium doesn't try to build ffmpeg source that we strip out
# for new build system
export PATH=%{_builddir}/%{name}-%{version}:$PATH

# Create the configuration for GN
myconf_gn=""
%ifarch %{ix86}
myconf_gn+=" target_cpu=\"x86\""
%else
myconf_gn+=" target_cpu=\"x64\""
%endif
myconf_gn+=" is_debug=false"
myconf_gn+=" use_jumbo_build=false"
myconf_gn+=" enable_nacl=false"
%if %{sharedbuild}
myconf_gn+=" is_component_build=true"
%endif
%if %{sharedffmpeg}
myconf_gn+=" is_component_ffmpeg=true"
%endif
myconf_gn+=" use_cups=true"
myconf_gn+=" use_gconf=true"
myconf_gn+=" use_aura=true"
myconf_gn+=" use_gtk3=true"
myconf_gn+=" use_gio=true"
myconf_gn+=" use_kerberos=true"
myconf_gn+=" use_pulseaudio=true"
myconf_gn+=" use_sysroot=false"
myconf_gn+=" use_vaapi=false"
myconf_gn+=" icu_use_data_file=true"
myconf_gn+=" treat_warnings_as_errors=false"
myconf_gn+=" fatal_linker_warnings=false"
myconf_gn+=" use_allocator=\"none\""
myconf_gn+=" fieldtrial_testing_like_official_build=true"
myconf_gn+=" use_gold=false"
myconf_gn+=" linux_use_bundled_binutils=false"
myconf_gn+=" use_custom_libcxx=false"
myconf_gn+=" is_clang=false"
myconf_gn+=" use_lld=false"
myconf_gn+=" use_swiftshader_with_subzero=false"
myconf_gn+=" proprietary_codecs=true"
myconf_gn+=" enable_precompiled_headers=true"
myconf_gn+=" ffmpeg_branding=\"Chrome\""
myconf_gn+=" remove_webcore_debug_symbols=true"

export CFLAGS="%{optflags} `pkg-config nss-util --cflags`"
export CXXFLAGS="%{optflags} `pkg-config nss-util --cflags` "
#export CXXFLAGS="%{optflags} -fpermissive -D_FORCE_INLINES"
#export CFLAGS="%{optflags} -fpermissive -std=gnu11 "
#export CXXFLAGS="%{optflags} -fpermissive -std=gnu++98 "

#sed -i 's/std=gnu++14/std=gnu++17/g' build/config/compiler/BUILD.gn

# no build pnacl 
rm -rf out/Release/gen/sdk
rm -rf native_client/toolchain
rm -rf third_party/llvm-build/*

third_party/libaddressinput/chromium/tools/update-strings.py

# nodejs
   mkdir -p third_party/node/linux/node-linux-x64/bin/
   ln -s /usr/bin/node third_party/node/linux/node-linux-x64/bin/

if [ ! -f chrome/test/data/webui/i18n_process_css_test.html ]; then
   touch chrome/test/data/webui/i18n_process_css_test.html
fi

# build gn
pushd tools/gn/
python build/gen.py -d --no-sysroot --no-last-commit-position
cp bootstrap/last_commit_position.h tools/gn/
ninja %{?_smp_mflags} -C out 
popd

#tools/gn/bootstrap/bootstrap.py -v --gn-gen-args "${myconf_gn}"
#out/Release/gn gen --args="${myconf_gn}" out/Release

tools/gn/out/gn gen --args="${myconf_gn}" out/Release

ninja  %{?_smp_mflags} -C out/Release -vvv third_party/ffmpeg
ninja  %{?_smp_mflags} -C out/Release -vvv chrome chrome_sandbox

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
sed -i 's/@@__LIBRARY_PATH__@@/%{_lib}/g' %{SOURCE2}
cp -a %{SOURCE2} %{buildroot}%{_bindir}/chromium-browser
export BUILDTARGET=`cat /etc/momonga-release`
sed -i "s|@@BUILDTARGET@@|$BUILDTARGET|g" %{buildroot}%{_bindir}/chromium-browser
# x86_64 capable systems need this
sed -i "s|/usr/lib/chromium|%{_libdir}/chromium|g" %{buildroot}%{_bindir}/chromium-browser
mkdir -p %{buildroot}%{_libdir}/chromium-browser/
mkdir -p %{buildroot}%{_mandir}/man1/
pushd out/Release
cp -a *.bin *.pak *.so locales resources swiftshader xdg-mime icudtl.dat %{buildroot}%{_libdir}/chromium-browser/
rm -f %{buildroot}%{_libdir}/chromium-browser/swiftshader/*.TOC

# nacl
# cp -a nacl_irt_*.nexe nacl_helper* libppGoogleNaClPluginChrome.so %{buildroot}%{_libdir}/chromium-browser/
#chmod -x %{buildroot}%{_libdir}/chromium-browser/nacl_irt_*.nexe %{buildroot}%{_libdir}/chromium-browser/nacl_helper_bootstrap*
cp -a chrome %{buildroot}%{_libdir}/chromium-browser/chromium-browser
%if 0%{?sharedbuild}
#cp -a lib.target/lib*.so %{buildroot}%{_libdir}/chromium-browser/
#cp -a lib.host/lib*.so %{buildroot}%{_libdir}/chromium-browser/
#cp -av lib/*.so %{buildroot}%{_libdir}/chromium-browser/
cp -av *.so %{buildroot}%{_libdir}/chromium-browser/
%endif
# If we're building without SELINUX support, uncomment this line.
%if 0%{?selinux}
# Do nothing. Sandboxing is in the selinux policy and core binary.
%else
#cp -a chrome_sandbox %{buildroot}%{_libdir}/chromium-browser/chrome-sandbox
mkdir -p %{buildroot}%{_libexecdir}/
cp -a chrome_sandbox %{buildroot}%{_libexecdir}/
ln -s -f %{_libexecdir}/chrome_sandbox %{buildroot}/%{_libdir}/chromium-browser/chrome-sandbox
%endif
#cp -a chrome.1 %{buildroot}%{_mandir}/man1/chrome.1
#cp -a chrome.1 %{buildroot}%{_mandir}/man1/chromium-browser.1
mkdir -p %{buildroot}%{_libdir}/chromium-browser/plugins/

cp -a *_blob.bin %{buildroot}%{_libdir}/chromium-browser/

%if %{sharedffmpeg}
cp -av libffmpeg.so %{buildroot}%{_libdir}/chromium-browser/
%endif
popd

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
cp -a %{SOURCE9} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/chromium-browser.svg
# cp -a chrome/app/theme/chromium/product_logo_48.png %{buildroot}%{_datadir}/pixmaps/chromium-browser.png

mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor= --dir %{buildroot}%{_datadir}/applications %{SOURCE3}

mkdir -p %{buildroot}%{_datadir}/gnome-control-center/default-apps/
cp -a %{SOURCE5} %{buildroot}%{_datadir}/gnome-control-center/default-apps/

# Make the dirtree for managed policies
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/policies/managed/

# Install the master_preferences file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-browser/
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/%{name}-browser/default

# This enables HTML5 video if you have ffmpeg installed, you naughty naughty user.
pushd %{buildroot}%{_libdir}/chromium-browser
touch %{buildroot}%{_libdir}/libavcodec.so.57
ln -s %{_libdir}/libavcodec.so.57 libavcodec.so.57
touch %{buildroot}%{_libdir}/libavformat.so.57
ln -s %{_libdir}/libavformat.so.57 libavformat.so.57
touch %{buildroot}%{_libdir}/libavutil.so.55
ln -s %{_libdir}/libavutil.so.55 libavutil.so.55
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc chromium-daily-tarball.sh
%{_bindir}/chromium-browser
#%%{_libdir}/chromium-browser/chrome.pak
#%%{_libdir}/chromium-browser/chrome_remote_desktop.pak
%{_libdir}/chromium-browser/icudtl.dat
%{_libdir}/chromium-browser/chrome_100_percent.pak
%{_libdir}/chromium-browser/chrome_200_percent.pak
%{_libdir}/chromium-browser/chromium-browser
%{_libdir}/chromium-browser/headless_lib.pak
#%{_libdir}/chromium-browser/mus_app_resources_100.pak
#%{_libdir}/chromium-browser/mus_app_resources_200.pak
#%{_libdir}/chromium-browser/mus_app_resources_strings.pak
%{_libdir}/chromium-browser/views_mus_resources.pak
%if %{sharedffmpeg}
%{_libdir}/chromium-browser/libffmpeg.so
%endif
#%{_libdir}/chromium-browser/*.so
# Uncomment this line if building without SELINUX
%if 0%{?selinux}
# Do nothing. Sandboxing is in the selinux policy and core binary.
%else
# These unique permissions are intentional and necessary for the sandboxing
%attr(4755, root, root) %{_libexecdir}/chrome_sandbox
%{_libdir}/chromium-browser/chrome-sandbox
%endif
%{_libdir}/chromium-browser/locales/
%{_libdir}/chromium-browser/plugins/
%{_libdir}/chromium-browser/resources/
#%%{_libdir}/chromium-browser/content_resources.pak
%{_libdir}/chromium-browser/resources.pak
#%%{_libdir}/chromium-browser/keyboard_resources.pak
%{_libdir}/chromium-browser/natives_blob.bin
%{_libdir}/chromium-browser/snapshot_blob.bin
%{_libdir}/chromium-browser/v8_context_snapshot.bin
%{_libdir}/chromium-browser/xdg-mime
#%{_libdir}/chromium-browser/theme_resources_standard.pak
#%{_libdir}/chromium-browser/ui_resources_standard.pak
# %%{_libdir}/chromium-browser/themes/
#%{_mandir}/man1/chrom*
#%{_datadir}/pixmaps/chromium-browser.png
%{_datadir}/icons/hicolor/scalable/apps/chromium-browser.svg
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-control-center/default-apps/chromium-browser.xml
%{_sysconfdir}/chromium-browser/default

%files libs
%defattr(-,root,root,-)
%dir %{_libdir}/chromium-browser/
# These are dummy symlinks. You'll have to install ffmpeg-libs to get them for real.
%{_libdir}/chromium-browser/libavcodec.so.57
%{_libdir}/chromium-browser/libavutil.so.55
%{_libdir}/chromium-browser/libavformat.so.57
%{_libdir}/chromium-browser/libEGL.so
%{_libdir}/chromium-browser/libGLESv2.so
%{_libdir}/chromium-browser/libVk*.so
%{_libdir}/chromium-browser/swiftshader/*.so
%if 0%{?sharedbuild}
# These are real.
%{_libdir}/chromium-browser/libaccessibility.so
%{_libdir}/chromium-browser/libandroid_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libanimation.so
%{_libdir}/chromium-browser/libapdu.so
%{_libdir}/chromium-browser/libaura.so
%{_libdir}/chromium-browser/libaura_extra.so
%{_libdir}/chromium-browser/libbase.so
%{_libdir}/chromium-browser/libbase_i18n.so
%{_libdir}/chromium-browser/libbindings.so
%{_libdir}/chromium-browser/libbindings_base.so
%{_libdir}/chromium-browser/libblink_android_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libblink_common.so
%{_libdir}/chromium-browser/libblink_controller.so
%{_libdir}/chromium-browser/libblink_core.so
%{_libdir}/chromium-browser/libblink_core_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libblink_embedded_frame_sink_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libblink_modules.so
%{_libdir}/chromium-browser/libblink_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libblink_platform.so
%{_libdir}/chromium-browser/libbluetooth.so
%{_libdir}/chromium-browser/libboringssl.so
%{_libdir}/chromium-browser/libbrowser_ui_views.so
%{_libdir}/chromium-browser/libcaptive_portal.so
%{_libdir}/chromium-browser/libcapture_base.so
%{_libdir}/chromium-browser/libcapture_lib.so
%{_libdir}/chromium-browser/libcatalog_lib.so
%{_libdir}/chromium-browser/libcbor.so
%{_libdir}/chromium-browser/libcc.so
%{_libdir}/chromium-browser/libcc_animation.so
%{_libdir}/chromium-browser/libcc_base.so
%{_libdir}/chromium-browser/libcc_debug.so
%{_libdir}/chromium-browser/libcc_mojo_embedder.so
%{_libdir}/chromium-browser/libcc_paint.so
%{_libdir}/chromium-browser/libcdm_manager.so
%{_libdir}/chromium-browser/libchromium_sqlite3.so
%{_libdir}/chromium-browser/libchrome_features.so
%{_libdir}/chromium-browser/libclient.so
%{_libdir}/chromium-browser/libcloud_policy_proto_generated_compile.so
%{_libdir}/chromium-browser/libcodec.so
%{_libdir}/chromium-browser/libcolor_space.so
%{_libdir}/chromium-browser/libcommon.so
%{_libdir}/chromium-browser/libcompositor.so
%{_libdir}/chromium-browser/libcontent.so
%{_libdir}/chromium-browser/libcontent_common_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libcontent_public_common_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libcontent_service_cpp.so
%{_libdir}/chromium-browser/libcontent_service_mojom.so
%{_libdir}/chromium-browser/libcontent_service_mojom_shared.so
%{_libdir}/chromium-browser/libcrash_key.so
%{_libdir}/chromium-browser/libcrcrypto.so
%{_libdir}/chromium-browser/libdbus.so
%{_libdir}/chromium-browser/libdevice_base.so
%{_libdir}/chromium-browser/libdevice_event_log.so
%{_libdir}/chromium-browser/libdevice_features.so
%{_libdir}/chromium-browser/libdevice_gamepad.so
%{_libdir}/chromium-browser/libdevice_vr.so
%{_libdir}/chromium-browser/libdevice_vr_mojo_bindings.so
%{_libdir}/chromium-browser/libdevice_vr_mojo_bindings_blink.so
%{_libdir}/chromium-browser/libdevice_vr_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libdevices.so
%{_libdir}/chromium-browser/libdiscardable_memory_client.so
%{_libdir}/chromium-browser/libdiscardable_memory_common.so
%{_libdir}/chromium-browser/libdiscardable_memory_service.so
%{_libdir}/chromium-browser/libdisplay.so
%{_libdir}/chromium-browser/libdisplay_types.so
%{_libdir}/chromium-browser/libdisplay_util.so
%{_libdir}/chromium-browser/libdomain_reliability.so
%{_libdir}/chromium-browser/libembedder.so
%{_libdir}/chromium-browser/libembedder_switches.so
%{_libdir}/chromium-browser/libevents.so
%{_libdir}/chromium-browser/libevents_base.so
%{_libdir}/chromium-browser/libevents_devices_x11.so
%{_libdir}/chromium-browser/libevents_ozone_layout.so
%{_libdir}/chromium-browser/libevents_x.so
%{_libdir}/chromium-browser/libextras.so
%{_libdir}/chromium-browser/libffmpeg.so
%{_libdir}/chromium-browser/libfido.so
%{_libdir}/chromium-browser/libfingerprint.so
%{_libdir}/chromium-browser/libfontconfig.so
%{_libdir}/chromium-browser/libfreetype_harfbuzz.so
%{_libdir}/chromium-browser/libgamepad_mojom.so
%{_libdir}/chromium-browser/libgamepad_mojom_blink.so
%{_libdir}/chromium-browser/libgamepad_mojom_shared.so
%{_libdir}/chromium-browser/libgamepad_shared_typemap_traits.so
%{_libdir}/chromium-browser/libgcm.so
%{_libdir}/chromium-browser/libgeometry.so
%{_libdir}/chromium-browser/libgeometry_skia.so
%{_libdir}/chromium-browser/libgesture_detection.so
%{_libdir}/chromium-browser/libgfx.so
%{_libdir}/chromium-browser/libgfx_ipc.so
%{_libdir}/chromium-browser/libgfx_ipc_buffer_types.so
%{_libdir}/chromium-browser/libgfx_ipc_color.so
%{_libdir}/chromium-browser/libgfx_ipc_geometry.so
%{_libdir}/chromium-browser/libgfx_ipc_skia.so
%{_libdir}/chromium-browser/libgfx_switches.so
%{_libdir}/chromium-browser/libgfx_x11.so
%{_libdir}/chromium-browser/libgin.so
%{_libdir}/chromium-browser/libgl_in_process_context.so
%{_libdir}/chromium-browser/libgl_init.so
%{_libdir}/chromium-browser/libgl_wrapper.so
%{_libdir}/chromium-browser/libgles2.so
%{_libdir}/chromium-browser/libgles2_implementation.so
%{_libdir}/chromium-browser/libgles2_utils.so
%{_libdir}/chromium-browser/libgpu.so
%{_libdir}/chromium-browser/libgpu_ipc_service.so
%{_libdir}/chromium-browser/libgtkui.so
%{_libdir}/chromium-browser/libheadless.so
%{_libdir}/chromium-browser/libhost.so
%{_libdir}/chromium-browser/libicui18n.so
%{_libdir}/chromium-browser/libicuuc.so
%{_libdir}/chromium-browser/libinterfaces_shared.so
%{_libdir}/chromium-browser/libipc.so
%{_libdir}/chromium-browser/libipc_mojom.so
%{_libdir}/chromium-browser/libipc_mojom_shared.so
%{_libdir}/chromium-browser/libkeycodes_x11.so
%{_libdir}/chromium-browser/libkeyed_service_content.so
%{_libdir}/chromium-browser/libkeyed_service_core.so
%{_libdir}/chromium-browser/libleveldatabase.so
%{_libdir}/chromium-browser/liblive_tab_count_metrics.so
%{_libdir}/chromium-browser/libmanager.so
%{_libdir}/chromium-browser/libmedia.so
%{_libdir}/chromium-browser/libmedia_blink.so
%{_libdir}/chromium-browser/libmedia_devices_mojo_bindings_shared.so
%{_libdir}/chromium-browser/libmedia_gpu.so
%{_libdir}/chromium-browser/libmedia_mojo_services.so
%{_libdir}/chromium-browser/libmedia_session_cpp.so
%{_libdir}/chromium-browser/libmedia_session_public_mojom.so
%{_libdir}/chromium-browser/libmedia_session_public_mojom_shared.so
%{_libdir}/chromium-browser/libmedia_webrtc.so
%{_libdir}/chromium-browser/libmemory_instrumentation.so
%{_libdir}/chromium-browser/libmessage_center.so
%{_libdir}/chromium-browser/libmessage_support.so
%{_libdir}/chromium-browser/libmetrics_cpp.so
%{_libdir}/chromium-browser/libmidi.so
%{_libdir}/chromium-browser/libmirroring_service.so
%{_libdir}/chromium-browser/libmojo_base_lib.so
%{_libdir}/chromium-browser/libmojo_base_mojom.so
%{_libdir}/chromium-browser/libmojo_base_mojom_blink.so
%{_libdir}/chromium-browser/libmojo_base_mojom_shared.so
%{_libdir}/chromium-browser/libmojo_base_shared_typemap_traits.so
%{_libdir}/chromium-browser/libmojo_core_embedder.so
%{_libdir}/chromium-browser/libmojo_core_embedder_internal.so
%{_libdir}/chromium-browser/libmojo_core_ports.so
%{_libdir}/chromium-browser/libmojo_cpp_platform.so
%{_libdir}/chromium-browser/libmojo_ime_lib.so
%{_libdir}/chromium-browser/libmojo_mojom_bindings.so
%{_libdir}/chromium-browser/libmojo_mojom_bindings_shared.so
%{_libdir}/chromium-browser/libmojo_public_system.so
%{_libdir}/chromium-browser/libmojo_public_system_cpp.so
%{_libdir}/chromium-browser/libmojom_core_shared.so
%{_libdir}/chromium-browser/libmojom_platform_shared.so
%{_libdir}/chromium-browser/libnative_theme.so
%{_libdir}/chromium-browser/libnet.so
%{_libdir}/chromium-browser/libnet_with_v8.so
%{_libdir}/chromium-browser/libnetwork_cpp.so
%{_libdir}/chromium-browser/libnetwork_cpp_base.so
%{_libdir}/chromium-browser/libnetwork_service.so
%{_libdir}/chromium-browser/libnetwork_session_configurator.so
%{_libdir}/chromium-browser/libonc.so
%{_libdir}/chromium-browser/libos_crypt.so
%{_libdir}/chromium-browser/libperfetto.so
%{_libdir}/chromium-browser/libplatform.so
%{_libdir}/chromium-browser/libplatform_window_handler_libs.so
%{_libdir}/chromium-browser/libpolicy_component.so
%{_libdir}/chromium-browser/libpolicy_proto.so
%{_libdir}/chromium-browser/libppapi_host.so
%{_libdir}/chromium-browser/libppapi_proxy.so
%{_libdir}/chromium-browser/libppapi_shared.so
%{_libdir}/chromium-browser/libprefs.so
%{_libdir}/chromium-browser/libprinting.so
%{_libdir}/chromium-browser/libprotobuf_lite.so
%{_libdir}/chromium-browser/libproxy_config.so
%{_libdir}/chromium-browser/libpublic.so
%{_libdir}/chromium-browser/librange.so
%{_libdir}/chromium-browser/libraster.so
%{_libdir}/chromium-browser/libresource_coordinator_cpp.so
%{_libdir}/chromium-browser/libresource_coordinator_cpp_base.so
%{_libdir}/chromium-browser/libresource_coordinator_cpp_features.so
%{_libdir}/chromium-browser/libresource_coordinator_public_mojom.so
%{_libdir}/chromium-browser/libresource_coordinator_public_mojom_blink.so
%{_libdir}/chromium-browser/libresource_coordinator_public_mojom_shared.so
%{_libdir}/chromium-browser/libsandbox.so
%{_libdir}/chromium-browser/libsandbox_services.so
%{_libdir}/chromium-browser/libscheduling_metrics.so
%{_libdir}/chromium-browser/libseccomp_bpf.so
%{_libdir}/chromium-browser/libservice.so
%{_libdir}/chromium-browser/libservice_manager_cpp.so
%{_libdir}/chromium-browser/libservice_manager_cpp_types.so
%{_libdir}/chromium-browser/libservice_manager_mojom.so
%{_libdir}/chromium-browser/libservice_manager_mojom_blink.so
%{_libdir}/chromium-browser/libservice_manager_mojom_constants.so
%{_libdir}/chromium-browser/libservice_manager_mojom_constants_blink.so
%{_libdir}/chromium-browser/libservice_manager_mojom_constants_shared.so
%{_libdir}/chromium-browser/libservice_manager_mojom_shared.so
%{_libdir}/chromium-browser/libsessions.so
%{_libdir}/chromium-browser/libshared_memory_support.so
%{_libdir}/chromium-browser/libshell_dialogs.so
%{_libdir}/chromium-browser/libskia.so
%{_libdir}/chromium-browser/libsnapshot.so
%{_libdir}/chromium-browser/libsql.so
%{_libdir}/chromium-browser/libstartup_tracing.so
%{_libdir}/chromium-browser/libstorage_browser.so
%{_libdir}/chromium-browser/libstorage_common.so
%{_libdir}/chromium-browser/libstub_window.so
%{_libdir}/chromium-browser/libsuid_sandbox_client.so
%{_libdir}/chromium-browser/libsurface.so
%{_libdir}/chromium-browser/libtracing.so
%{_libdir}/chromium-browser/libtracing_cpp.so
%{_libdir}/chromium-browser/libtracing_mojom.so
%{_libdir}/chromium-browser/libtracing_mojom_shared.so
%{_libdir}/chromium-browser/libui_base.so
%{_libdir}/chromium-browser/libui_base_ime.so
%{_libdir}/chromium-browser/libui_base_ime_linux.so
%{_libdir}/chromium-browser/libui_base_ime_types.so
%{_libdir}/chromium-browser/libui_base_x.so
%{_libdir}/chromium-browser/libui_data_pack.so
%{_libdir}/chromium-browser/libui_devtools.so
%{_libdir}/chromium-browser/libui_message_center_cpp.so
%{_libdir}/chromium-browser/libui_touch_selection.so
%{_libdir}/chromium-browser/libui_views_mus_lib.so
%{_libdir}/chromium-browser/liburl.so
%{_libdir}/chromium-browser/liburl_ipc.so
%{_libdir}/chromium-browser/liburl_matcher.so
%{_libdir}/chromium-browser/libusb_shared.so
%{_libdir}/chromium-browser/libuser_manager.so
%{_libdir}/chromium-browser/libuser_prefs.so
%{_libdir}/chromium-browser/libv8.so
%{_libdir}/chromium-browser/libv8_libbase.so
%{_libdir}/chromium-browser/libv8_libplatform.so
%{_libdir}/chromium-browser/libviews.so
%{_libdir}/chromium-browser/libviz_common.so
%{_libdir}/chromium-browser/libviz_resource_format_utils.so
%{_libdir}/chromium-browser/libvr_common.so
%{_libdir}/chromium-browser/libvr_ui.so
%{_libdir}/chromium-browser/libvulkan_init.so
%{_libdir}/chromium-browser/libvulkan_wrapper.so
%{_libdir}/chromium-browser/libvulkan_x11.so
%{_libdir}/chromium-browser/libweb_dialogs.so
%{_libdir}/chromium-browser/libwebdata_common.so
%{_libdir}/chromium-browser/libwebgpu.so
%{_libdir}/chromium-browser/libwebview.so
%{_libdir}/chromium-browser/libwm.so
%{_libdir}/chromium-browser/libwm_public.so
%{_libdir}/chromium-browser/libwtf.so
%{_libdir}/chromium-browser/libx11_events_platform.so
%{_libdir}/chromium-browser/libx11_window.so
%{_libdir}/chromium-browser/libzygote.so
%endif
%exclude %{_libdir}/libavcodec.so.57
%exclude %{_libdir}/libavutil.so.55
%exclude %{_libdir}/libavformat.so.57

%changelog
* Wed Oct 24 2018 Ichiro Nakai <ichiro@n.email.ne.jp>
- (71.0.3578.5-2m)
- fix build on i686

* Sat Oct 13 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (71.0.3578.5-1m)
- update 71.0.3578.5

* Sun Aug 19 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (70.0.3526.0-1m) 
- update 70.0.3526.0

* Thu Aug 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (70.0.3510.2-1m) 
- update 70.0.3510.2

* Sat Jul 21 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3397.102-1m) 
- update 67.0.3397.102

* Wed May 30 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3397.62-1m) 
- update 67.0.3397.62

* Tue May 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3397.26-1m) 
- update 67.0.3397.26

* Sat Apr 14 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3397.3-1m) 
- update 67.0.3397.3

* Sat Apr 07 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3390.0-1m) 
- update 67.0.3390.0

* Wed Mar 14 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3369.0-1m) 
- update 64.0.3369.0
-- prev version broken

* Sun Mar 11 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (67.0.3367.0-1m) 
- update 64.0.3367.0

* Sat Feb 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (64.0.3282.140-1m) 
- update 64.0.3282.140

* Thu Jan 25 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (65.0.3325.5-1m) 
- update 65.0.3325.5

* Fri Jan 05 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (64.0.3282.73-1m) 
- update 64.0.3282.73

* Sat Dec 09 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (64.0.3282.12-1m) 
- update 64.0.3282.12

* Sat Nov 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (64.0.3269.3-1m) 
- update 64.0.3269.3

* Fri Nov 03 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (63.0.3239.31-1m) 
- update 63.0.3239.31

* Sat Oct 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (63.0.3239.20-1m) 
- update 63.0.3239.20

* Sat Oct 14 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (63.0.3236.7-1m) 
- update 63.0.3236.7

* Wed Oct 04 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (63.0.3230.0-1m) 
- update 63.0.3230.0

* Wed Sep 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (62.0.3218.0-1m) 
- update 62.0.3218.0

* Tue Sep 12 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (62.0.3202.12-2m) 
- fix build on i686

* Sun Sep 10 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (62.0.3202.12-1m) 
- update 62.0.3202.12

* Wed Aug 09 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (62.0.3175.4-1m) 
- update 62.0.3175.4

* Fri Jul 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (61.0.3159.8-1m) 
- update 61.0.3159.8

* Wed Jun 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (61.0.3136.4-1m) 
- update 61.0.3136.4

* Tue May 30 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (60.0.3107.4-2m) 
- fix build on i686

* Wed May 24 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (60.0.3107.4-1m) 
- update 60.0.3107.4

* Sat May 13 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (59.0.3071.49-1m) 
- update 59.0.3071.49

* Sun Apr 30 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (59.0.3071.29-1m) 
- update 59.0.3071.29

* Sat Apr 22 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (59.0.3071.9-1m) 
- update 59.0.3071.9

* Fri Mar 24 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (59.0.3047.4-1m) 
- update 59.0.3047.4

* Thu Mar 23 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (58.0.3029.31-1m) 
- update 58.0.3029.31

* Sun Mar 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (58.0.3027.0-1m) 
- update 58.0.3027.0

* Fri Feb 03 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (57.0.2987.21-1m) 
- update 57.0.2987.21

* Thu Jan 19 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (57.0.2984.3-2m)
- add gcc5 fix patch

* Wed Jan 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (57.0.2984.3-1m) 
- update 57.0.2984.3

* Wed Jan 04 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (57.0.2970.0-1m) 
- update 57.0.2970.0

* Fri Dec 02 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (56.0.2924.13-1m) 
- update 56.0.2924.13

* Fri Nov 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (56.0.2920.0-1m) 
- update 56.0.2920.0

* Wed Nov 09 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (55.0.2883.36-1m) 
- update 55.0.2883.36

* Fri Oct 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (55.0.2883.21-1m) 
- update 55.0.2883.21

* Thu Oct 13 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (54.0.2840.61-1m) 
- update 54.0.2840.61

* Thu Oct 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (54.0.2840.50-1m) 
- update 54.0.2840.50

* Mon Sep 26 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (54.0.2840.34-1m) 
- update 54.0.2840.34

* Wed Sep 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (54.0.2840.25-1m) 
- update 54.0.2840.25
- cleanup spec
- use tcmalloc allocater

* Mon Sep 05 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (54.0.2840.8-1m)
- update 54.0.2840.8
 
* Wed Aug 24 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2785.70-1m)
- update 53.0.2785.70
- enable parallel build

* Thu Aug 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2785.44-1m)
- update 53.0.2785.44

* Tue Jul 19 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2785.15-1m)
- update 53.0.2785.15
- add gcc6 patch

* Sun Jul 03 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2783.5-1m)
- update 53.0.2783.5

* Sat Jun 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2768.0-2m)
- fix broken build

* Sat Jun 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2768.0-1m)
- update 52.0.2768.0
-- as possible and not to use the system libraries 

* Tue Jun 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (53.0.2763.0-1m)
- update 52.0.2763.0
-- chrome-sandbox was broken. temporary disabled  

* Sun Jun 05 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (52.0.2743.25-1m)
- update 52.0.2743.25

* Thu May 26 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (51.0.2704.61-1m)
- update 51.0.2704.61

* Thu May 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (51.0.2704.43-1m)
- update 51.0.2704.43

* Thu Mar 31 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (50.0.2661.59-1m)
- update 50.0.2661.59

* Wed Mar 16 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (50.0.2661.35-1m)
- update 50.0.2661.35

* Sun Jan 31 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (49.0.2623.28-1m)
- update 49.0.2623.15

* Mon Jan 11 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (48.0.2564.71-1m)
- update 48.0.2564.71

* Thu Dec 03 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (48.0.2564.22-1m)
- update 48.0.2564.22

* Mon Nov 23 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (48.0.2564.10-1m)
- update 48.0.2564.10

* Sun Nov 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (47.0.2526.58-1m)
- update 47.0.2526.58

* Sun Oct 18 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (47.0.2526.16-1m)
- update 47.0.2526.16

* Sat Aug 29 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (46.0.2490.6-1m)
- update 46.0.2490.6

* Sat Aug 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (45.0.2456.37-1m)
- update 45.0.2454.37

* Sat Jul 18 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (45.0.2456.7-1m)
- update 45.0.2454.7

* Sun Jun 28 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (45.0.2442.0-1m)
- update 45.0.2442.0

* Sat Jun 19 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (44.0.2403.54-1m)
- update 44.0.2403.54

* Wed Jun 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (44.0.2403.33-1m)
- update 44.0.2403.33

* Wed Jun 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (43.0.2357.81-1m)
- update 43.0.2357.81

* Sat May 26 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (43.0.2357.46-1m)
- update 43.0.2357.46

* Thu Apr 16 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (43.0.2357.18-1m)
- update 43.0.2357.18

* Sun Apr  5 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (42.0.2311.68-1m)
- update 42.0.2311.68

* Tue Mar 17 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (42.0.2311.41-1m)
- update 42.0.2311.41

* Thu Feb 26 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (42.0.2311.4-1m)
- update 42.0.2311.4

* Sat Feb 21 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (42.0.2309.2-1m)
- update 42.0.2309.2

* Fri Jan 30 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (42.0.2290.6-1m)
- update 42.0.2290.6

* Fri Jan 23 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (40.0.2214.91-1m)
- update 40.0.2214.91

* Thu Jan 08 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (40.0.2214.69-1m)
- update 40.0.2214.69

* Thu Dec 11 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (40.0.2214.36-1m)
- update 40.0.2214.36

* Thu Dec 04 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (40.0.2214.25-1m)
- update 40.0.2214.25

* Wed Dec  3 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (40.0.2214.10-2m)
- modify spec for new build system
- add BuildRequires: ninja-build
- can not build by gcc-4.9.3-1m on x86_64 yet

* Mon Dec 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (40.0.2214.10-1m)
- update 40.0.2214.10

* Fri Aug 15 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (36.0.1985.143-1m)
- update 36.0.1985.143

* Tue Jul 22 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (36.0.1985.126-1m)
- update 36.0.1985.126

* Sat Jun 28 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (36.0.1985.98-1m)
- update 36.0.1985.98

* Tue Jun 17 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (36.0.1985.67-1m)
- update 36.0.1985.67

* Wed Mar 12 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (33.0.1750.149-1m)
- update 33.0.1750.149

* Fri Feb 14 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (33.0.1750.91-1m)
- update 33.0.1750.91
- auto detect PepperFlash(install chromium-pepper-flash)

* Mon Feb 10 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (33.0.1750.70-1m)
- update 33.0.1750.70

* Mon Dec 02 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (33.0.1725.0-1m)
- update 33.0.1725.0

* Sun Nov 17 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (31.0.1650.57-1m)
- update 31.0.1650.57

* Sat Nov 02 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (31.0.1650.39-1m)
- update 31.0.1650.39

* Fri Oct 04 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (31.0.1650.8-1m)
- update 31.0.1650.8

* Mon Sep 23 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (30.0.1599.52-1m)
- update 30.0.1599.52

* Wed Sep 04 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (30.0.1599.26-1m)
- update 30.0.1599.26

* Wed Aug 21 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (30.0.1599.12-1m)
- update 30.0.1599.12

* Mon Jul 22 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (29.0.1547.27-1m)
- update source

* Sun Jun 16 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (29.0.1539.0-1m)
- update source

* Mon Jun  3 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (29.0.1522.6-1m)
- update chromium29 branch

* Sun May 26 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (29.0.1518.2-1m)
- update chromium29 branch

* Mon Aug  6 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (20.0.1132.59-2m)
- fix theme broken

* Sun Aug  5 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (20.0.1132.59-1m)
- update chromium20

* Sun Apr 29 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (17.0.963.792-1m)
- update chromium17

* Sun Mar 18 2012 Nishio Futoshi <futoshi@momonga-linux.org>
- (15.0.874.121-3m)
- build fix

* Thu Feb  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (15.0.874.121-2m)
- rebuild against libvpx-1.0.0

* Thu Dec  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (15.0.874.121-1m)
- update Chromium15

* Thu Oct 27 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (14.0.835.203-1m)
- update Chromium14
-- static link binary only,,,

* Sun Aug 28 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (12.0.742.130-3m)
- fix build failure with icu-4.6
- fix build failure with linux-3.x
- fix build failure with cups 1.5.0

* Sun Aug 14 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (12.0.742.130-2m)
- rebuild against icu-4.6

* Wed Jul 13 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.130-1m)
- update 12.0.742.130

* Wed Jul  6 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.120-1m)
- update 12.0.742.120

* Thu Jun 30 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.113-1m)
- update 12.0.742.113
- [SECURITY]    CVE-2011-2345 CVE-2011-2346 CVE-2011-2347
- CVE-2011-2348 CVE-2011-2349 CVE-2011-2350 CVE-2011-2351

* Sun Jun 19 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.105-1m)
- update 12.0.742.105

* Sun Jun 19 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (12.0.742.91-2m)
- enable to build with glibc-2.14

* Mon Jun  6 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.91-1m)
- update 12.0.742.91

* Sun Jun  5 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.77-1m)
- update 12.0.742.77

* Wed May 25 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.68-1m)
- update 12.0.742.68

* Tue May 17 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.59-1m)
- update 12.0.742.59
- fix build error

* Sun May 15 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.56-1m)
- update 12.0.742.56

* Tue May 10 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (12.0.742.46-1m)
- update 12.0.742.46

* Tue May 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (10.0.648.205-4m)
- rebuild against perl-5.14.0-0.2.1m

* Wed Apr 20 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.0.648.205-3m)
- update gcc46.patch to enable build

* Wed Apr 20 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.0.648.205-2m)
- apply gcc46.patch
- I can not build this package yet, fix me

* Sat Apr 16 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.205-1m)
- update 10.0.648.205
- [SECURITY] CVE-2011-1300 CVE-2011-1301 CVE-2011-1302

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (10.0.648.204-2m)
- rebuild for new GCC 4.6

* Sun Mar 27 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.204-1m)
- update 10.0.648.204

* Sun Mar 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (10.0.648.201-2m)
- rebuild against libevent-2.0.10

* Fri Mar 18 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.201-1m)
- update 10.0.648.201

* Sun Mar 13 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.134-1m)
- update 10.0.648.134

* Tue Mar  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.124-1m)
- update 10.0.648.124

* Mon Feb 21 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (10.0.648.105-1m)
- update 10.0.648.105

* Mon Feb 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.102-1m)
- update 9.0.597.102
- fixed any Security Issue

* Wed Feb  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.94-1m)
- update 9.0.597.94
- fixed any Security Issue

* Fri Feb  4 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.88-1m)
- update 9.0.597.88

* Tue Feb  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.84-1m)
- update 9.0.597.84

* Sat Jan 22 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.78-1m)
- update 9.0.597.78

* Sun Jan 16 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.69-2m)
- use shared library

* Sun Jan 16 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.69-1m)
- update 9.0.597.69
-- but static build only

* Wed Jan  5 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (9.0.597.54-1m)
- update 9.0.597.54
-- but static build only

* Thu Dec  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.342-1m)
- update 8.0.552.342

* Mon Nov 29 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.328-1m)
- update 8.0.552.328
- add gcc-4.5 patch 

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (8.0.552.327-2m)
- rebuild for new GCC 4.5

* Sat Nov 27 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.327-1m)
- update 8.0.552.327

* Sun Nov 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.321-1m)
- update 8.0.552.321

* Mon Nov 15 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.205-1m)
- update 8.0.552.205

* Thu Nov 11 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.104-1m)
- update 8.0.552.104

* Sun Nov  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.48-1m)
- update 8.0.552.48

* Wed Nov  3 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.40-1m)
- update 8.0.552.40

* Sun Oct 31 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.25-1m)
- update 8.0.552.25

* Tue Oct 26 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.18-1m)
- update 8.0.552.18

* Thu Oct 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.11-1m)
- update 8.0.552.11
- add system_libsrtp flag

* Wed Oct 20 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.7-1m)
- update 8.0.552.7

* Thu Oct 14 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.1-1m)
- update 8.0.552.1
- build shared library

* Wed Oct 13 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.552.0-1m)
- update 8.0.552.0
-- static link binary...

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (6.0.487.0-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (6.0.487.0-1m)
- update 6.0.487
- Obsoletes v8, v8-devel

* Tue Jun  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6.0.417.0-2m)
- fix build on i686, %%global sharedbuild 1

* Thu Jun  1 2010 Masanobu Sato  <satoshiga@momonga-linux.org>
- (6.0.417.0-1m)
- update and sync to Fedora

* Fri May 14 2010 Masanobu Sato  <satoshiga@momonga-linux.org>
- (6.0.399.0-1m)
- update and sync to Fedora

* Fri May 14 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.220.0-5m)
- rebuild against icu-4.2.1

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.220.0-4m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.220.0-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 14 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (4.0.220.0-2m)
- revised 64bit-plugin-path.patch

* Wed Oct  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.220.0-1m)
- sync

* Wed Sep 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.212.0-1m)
- change release

* Wed Sep 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.212.0-0.1.20090916svn26424.1m)
- initial build on Momonga
-- http://spot.fedorapeople.org/chromium/F12/

* Wed Sep 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.212.0-0.1.20090916svn26424
- 20090916svn26424
- revert http://src.chromium.org/viewvc/chrome/trunk/src/chrome/common/sqlite_utils.cc?r1=24321&r2=25633
  to stop crashes when typing in url bar

* Thu Sep 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.208.0-0.1.20090910svn25958
- 20090910svn25958

* Wed Sep 9 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.208.0-0.1.20090909svn25824
- 20090909svn25824
- drop hardcoded Requires on bug-buddy (fixes issue where it is being obsoleted by abrt in rawhide)
- disable webkit deopt, flash bug is fixed now
- use system libicu

* Thu Aug 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.204.0-0.1.20090827svn24640
- 20090827svn24640

* Tue Aug 25 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.203.0-0.1.20090824svn24148
- 20090824svn24148
- find proper plugin dir on x86_64
- pass --enable-user-scripts (instead of old --enable-greasemonkey)

* Tue Aug 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.202.0-0.1.20090818svn23628
- 20090818svn23628

* Fri Aug 14 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.202.0-0.1.20090814svn23460
- 20090814svn23460

* Wed Aug 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.202.0-0.1.20090812svn23201
- Bump to 4.0.202 (we're not tracking 3.0, no one can tell me exactly how to manage that)

* Mon Aug 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.198.0-0.1.20090810svn22925
- 20090810svn22925

* Fri Aug  7 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.198.0-0.1.20090807svn22807
- 20090807svn22807

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.198.0-0.1.20090805svn22496
- 20090805svn22496

* Mon Aug  3 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.197.0-0.1.20090803svn22262
- 20090803svn22262

* Fri Jul 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.197.0-0.1.20090731svn22188
- 20090731svn22188

* Thu Jul 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.197.0-0.1.20090730svn22105
- 20090730svn22105

* Mon Jul 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.196.0-0.1.20090727svn21648
- 20090727svn21648

* Fri Jul 24 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.196.0-0.1.20090724svn21567
- 20090724svn21567
- drop ffmpeg binaries (only code remaining is headers, doesn't infringe patents)
- package up manpage

* Mon Jul 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.195.0-0.1.20090720svn21073
- 20090720svn21073

* Thu Jul 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.195.0-0.1.20090716svn20889
- 20090716svn20889

* Wed Jul 15 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.195.0-0.1.20090715svn20726
- 20090715svn20726

* Mon Jul 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.194.0-0.1.20090713svn20473
- 20090713svn20473

* Sat Jul 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.194.0-0.1.20090711svn20464
- 20090711svn20464
- fix sandboxing up to match code changes (no longer need to be read-only, doesn't need /var/run/chrome-sandbox)

* Wed Jul  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.193.0-0.1.20090708svn20141
- 20090708svn20141
- support LinuxZygote sandboxing

* Sat Jul  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.192.0-0.1.20090704svn19929
- 20090704svn19929
- hack in correct optflags

* Sun Jun 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> 
- 20090628svn19474

* Fri Jun 26 2009 Tom "spot" Callaway <tcallawa@redhat.com>
- 20090626svn19370

* Thu Jun 25 2009 Tom "spot" Callaway <tcallawa@redhat.com> 
- 3.0.191.0 20090625svn19237

* Thu Jun 18 2009 Tom "spot" Callaway <tcallawa@redhat.com>
- 3.0.190.0 20090618svn18706

* Mon Jun 8 2009 Tom "spot" Callaway <tcallawa@redhat.com>
- 20090608svn17870

* Sat Jun 6 2009 Tom "spot" Callaway <tcallawa@redhat.com>
- 20090606svn17834
